# BaseDigest (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.digest
Class BaseDigest

    java.lang.Object
      net.schmizz.sshj.transport.digest.BaseDigest

All Implemented Interfaces:
  Digest

Direct Known Subclasses:
  MD5, SHA1

    public class BaseDigest

extends Object
implements Digest

Base class for Digest algorithms based on the JCE provider.

Constructor Summary
`BaseDigest(String algorithm, int bsize)` Create a new digest using the given algorithm and block size.

Method Summary
`byte[]` `digest()`
`int` `getBlockSize()`
`void` `init()`
`void` `update(byte[] foo)`
`void` `update(byte[] foo, int start, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseDigest

    public BaseDigest(String algorithm,
                      int bsize)

  Create a new digest using the given algorithm and block size. The initialization and creation of the underlying `MessageDigest` object will be done in the `init()` method.

  Parameters:
    `algorithm` - the JCE algorithm to use for this digest
    `bsize` - the block size of this digest

Method Detail

### digest

    public byte[] digest()

  Specified by:
    `digest` in interface `Digest`

### getBlockSize

    public int getBlockSize()

  Specified by:
    `getBlockSize` in interface `Digest`

### init

    public void init()

  Specified by:
    `init` in interface `Digest`

### update

    public void update(byte[] foo)

  Specified by:
    `update` in interface `Digest`

### update

    public void update(byte[] foo,
                       int start,
                       int len)

  Specified by:
    `update` in interface `Digest`

Copyright © 2009-2011. All Rights Reserved.